using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace _02trade
{
    public partial class Товар : Form
    {
        public Товар()
        {
            InitializeComponent();
        }

        private void productBindingNavigatorSaveItem_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.productBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.trade02DataSet);

        }

        private void Товар_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "trade02DataSet.Product". При необходимости она может быть перемещена или удалена.
            this.productTableAdapter.Fill(this.trade02DataSet.Product);

        }

        private void button1_Click(object sender, EventArgs e)
        {
            productBindingSource.AddNew();
        }

        private void button2_Click(object sender, EventArgs e)
        {
           
            this.tableAdapterManager.UpdateAll(this.trade02DataSet);
        }

        private void label3_Click(object sender, EventArgs e)
        {

        }
    }
}
